Mailinglist Archive: yast-commit (819 mails)

< Previous Next >
[yast-commit] r55084 - in /trunk/storage: storage/src/include/ep-graph.ycp yast2-storage.spec.in
  • From: aschnell@xxxxxxxxxxxxxxxx
  • Date: Tue, 27 Jan 2009 15:51:25 -0000
  • Message-id: <E1LRqDl-0002gF-N0@xxxxxxxxxxxxxxxx>
Author: aschnell
Date: Tue Jan 27 16:51:25 2009
New Revision: 55084

URL: http://svn.opensuse.org/viewcvs/yast?rev=55084&view=rev
Log:
- double click on device node jumps to device

Modified:
trunk/storage/storage/src/include/ep-graph.ycp
trunk/storage/yast2-storage.spec.in

Modified: trunk/storage/storage/src/include/ep-graph.ycp
URL:
http://svn.opensuse.org/viewcvs/yast/trunk/storage/storage/src/include/ep-graph.ycp?rev=55084&r1=55083&r2=55084&view=diff
==============================================================================
--- trunk/storage/storage/src/include/ep-graph.ycp (original)
+++ trunk/storage/storage/src/include/ep-graph.ycp Tue Jan 27 16:51:25 2009
@@ -43,7 +43,17 @@
case `graph:
{
string node = (string) UI::QueryWidget(`id(`graph), `Item);
- y2milestone("double click on node %1", node);
+
+ if (String::StartsWith(node, "device:"))
+ {
+ string device = substring(node, 7);
+ TreePanel::SwitchToNew(device);
+ UI::SetFocus(UI::WidgetExists(`id(`table)) ? `id(`table) :
`id(`text));
+ }
+ else if (String::StartsWith(node, "mountpoint:"))
+ {
+ // TODO
+ }
}
break;


Modified: trunk/storage/yast2-storage.spec.in
URL:
http://svn.opensuse.org/viewcvs/yast/trunk/storage/yast2-storage.spec.in?rev=55084&r1=55083&r2=55084&view=diff
==============================================================================
--- trunk/storage/yast2-storage.spec.in (original)
+++ trunk/storage/yast2-storage.spec.in Tue Jan 27 16:51:25 2009
@@ -6,7 +6,7 @@
BuildRequires: update-desktop-files yast2 yast2-core-devel >= 2.18.1
yast2-devtools
BuildRequires: yast2-testsuite yast2-perl-bindings
Requires: yast2-storage-lib = %version yast2-perl-bindings parted mdadm
lvm2 dmraid
-Requires: multipath-tools kpartx cryptsetup yast2-core >= 2.18.1 yast2 >=
2.17.45
+Requires: multipath-tools kpartx cryptsetup yast2-core >= 2.18.1 yast2 >=
2.18.3
Requires: yast2-libyui >= 2.17.5
%ifarch s390 s390x
Requires: yast2-s390

--
To unsubscribe, e-mail: yast-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages